﻿<%@ Page Title="" Language="VB" MasterPageFile="~/home.master" AutoEventWireup="false" CodeFile="payroll_loanplanner.aspx.vb" Inherits="payroll_loanplanner" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
                     <!-- Forms Section-->
          <section class="forms"> 
            <div class="container-fluid">
              <div class="row">
                <!-- Basic Form-->
                <div class="col-lg-12">
                  <div class="card">
                    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                   <h3 class="h4"><asp:Label ID="lblhdr" runat="server" Text="Label"></asp:Label></h3>                
                </div>

                     <div class="card-body">
                                          <table style="width:100%;">
                              <tr>
                                  <td>
                                      <asp:Panel ID="pnladd" runat="server">
                                          <table style="width:100%;">
                                                                                         
                                              <tr>
                                                  <td>
                                                      <table style="width:100%;">
                                                          <tr>
                                                              <td width="45%">
                                                                  Employee Id</td>
                                                              <td width="10%">
                                                                  &nbsp;</td>
                                                              <td width="45%">
                                                                  Date</td>
                                                          </tr>
                                                          <tr>
                                                              <td width="45%">
                                                                  <asp:TextBox ID="txtempcode" runat="server" class="form-control" 
                                                                      MaxLength="100"></asp:TextBox>
                                                                  <asp:FilteredTextBoxExtender ID="txtempcode_FilteredTextBoxExtender" 
                                                                      runat="server" Enabled="True" FilterMode="InvalidChars" InvalidChars="'" 
                                                                      TargetControlID="txtempcode">
                                                                  </asp:FilteredTextBoxExtender>
                                                              </td>
                                                              <td width="10%">
                                                                  &nbsp; &nbsp; <asp:Button ID="cmdsave0" runat="server" class="btn btn-info" Text="Get" />
                                                              </td>
                                                              <td width="45%">
                                                                 <asp:TextBox ID="txtdate" runat="server" CssClass="form-control"></asp:TextBox>
                                                                  <asp:CalendarExtender ID="TextBox1_CalendarExtender" runat="server" 
                                                                      Enabled="True" TargetControlID="txtdate" Format="dd/MM/yyyy" 
                                                                      PopupButtonID="txtdate">
                                                                  </asp:CalendarExtender>
                                                                 </td>
                                                          </tr>
                                                                                                               
                                                          <tr>
                                                              <td width="45%">
                                                                  Name</td>
                                                              <td width="10%">
                                                                  &nbsp;</td>
                                                              <td width="45%">
                                                                  &nbsp;</td>
                                                          </tr>
                                                          <tr>
                                                              <td colspan="3">
                                                                  <asp:TextBox ID="txtstafnm" runat="server" class="form-control" MaxLength="100" 
                                                                      BackColor="White" ReadOnly="True"></asp:TextBox>
                                                                  <asp:FilteredTextBoxExtender ID="txtstafnm_FilteredTextBoxExtender" 
                                                                      runat="server" Enabled="True" FilterMode="InvalidChars" InvalidChars="'" 
                                                                      TargetControlID="txtstafnm">
                                                                  </asp:FilteredTextBoxExtender>
                                                              </td>
                                                          </tr>
                                                          <tr>
                                                              <td>
                                                                  Department</td>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td>
                                                                  Designation</td>
                                                          </tr>
                                                          <tr>
                                                              <td>
                                                                  <asp:TextBox ID="txtdept" runat="server" BackColor="White" class="form-control" 
                                                                      MaxLength="100" ReadOnly="True"></asp:TextBox>
                                                                  <asp:FilteredTextBoxExtender ID="txtdept_FilteredTextBoxExtender" 
                                                                      runat="server" Enabled="True" FilterMode="InvalidChars" InvalidChars="'" 
                                                                      TargetControlID="txtdept">
                                                                  </asp:FilteredTextBoxExtender>
                                                              </td>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td>
                                                                  <asp:TextBox ID="txtdesg" runat="server" BackColor="White" class="form-control" 
                                                                      MaxLength="100" ReadOnly="True"></asp:TextBox>
                                                                  <asp:FilteredTextBoxExtender ID="txtdesg_FilteredTextBoxExtender" 
                                                                      runat="server" Enabled="True" FilterMode="InvalidChars" InvalidChars="'" 
                                                                      TargetControlID="txtdesg">
                                                                  </asp:FilteredTextBoxExtender>
                                                              </td>
                                                          </tr>
                                                          <tr>
                                                              <td>
                                                                  Loan Amount</td>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td>
                                                                  Approved By</td>
                                                          </tr>
                                                          <tr>
                                                              <td>
                                                                  <asp:TextBox ID="txtloanamount" runat="server" BackColor="White" 
                                                                      class="form-control" MaxLength="100" style="text-align:right"></asp:TextBox>
                                                              </td>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td>
                                                                  <asp:TextBox ID="txtapproved" runat="server" BackColor="White" 
                                                                      class="form-control" MaxLength="100"></asp:TextBox>
                                                              </td>
                                                          </tr>
                                                          <tr>
                                                              <td>
                                                                  Installment Amount</td>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td>
                                                                  Paymode</td>
                                                          </tr>
                                                          <tr>
                                                              <td>
                                                                  <asp:TextBox ID="txtinstamt" runat="server" BackColor="White" 
                                                                      class="form-control" MaxLength="100" style="text-align:right"></asp:TextBox>
                                                              </td>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td>
                                                                  <asp:DropDownList ID="cmbmode" runat="server" CssClass="form-control">
                                                                      <asp:ListItem>1.Cash</asp:ListItem>
                                                                      <asp:ListItem>2.Bank Transfer</asp:ListItem>
                                                                      <asp:ListItem>3.DD/Cheque</asp:ListItem>
                                                                  </asp:DropDownList>
                                                              </td>
                                                          </tr>
                                                          <tr>
                                                              <td>
                                                                  Transcation Details</td>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td>
                                                                  &nbsp;</td>
                                                          </tr>
                                                          <tr>
                                                              <td colspan="3">
                                                                  <asp:TextBox ID="txtdetails" runat="server" BackColor="White" 
                                                                      class="form-control" MaxLength="100"></asp:TextBox>
                                                              </td>
                                                          </tr>
                                                          <tr>
                                                              <td>
                                                                  <table style="width:100%;">
                                                                      <tr>
                                                                          <td width="60%">
                                                                              <label for="simpleDataInput">
                                                                              Start Date</label></td>
                                                                          <td width="40%">
                                                                              No Of Installment</td>
                                                                      </tr>
                                                                      <tr>
                                                                          <td>
                                                                             <asp:TextBox ID="txtsdt" runat="server" CssClass="form-control"></asp:TextBox>
                                                                      <asp:CalendarExtender ID="CalendarExtender1" runat="server" Enabled="True" 
                                                                          Format="dd/MM/yyyy" PopupButtonID="txtsdt" TargetControlID="txtsdt">
                                                                      </asp:CalendarExtender></td>
                                                                          <td>
                                                                              <asp:TextBox ID="txtno" runat="server" BackColor="White" 
                                                                                  class="form-control" MaxLength="100" style="text-align:right" 
                                                                                  ReadOnly="True"></asp:TextBox>
                                                                          </td>
                                                                      </tr>
                                                                  </table>
                                                              </td>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td valign="bottom">
                                                                   
                                                                  <asp:Button ID="cmdsave1" runat="server" class="btn btn-info" 
                                                                      Text=" Make A Planner" />
                                                              </td>
                                                          </tr>

                                                          <tr>
                                                              <td>
                                                                  <div ID="simple-date1" class="form-group">
                                                                      
                                                                      
                                                                  </div>
                                                              </td>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td>
                                                                  &nbsp;</td>
                                                          </tr>

                                                          <tr>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td>
                                                                  &nbsp;</td>
                                                          </tr>
                                                          <tr>
                                                              <td colspan="3">
                                                                  <div style="width: 100%; height: 300px; overflow: auto;">
                                                                      <asp:GridView ID="dvstaf" runat="server" AlternatingRowStyle-CssClass="alt" 
                                                                          AutGenerateColumns="False" AutoGenerateColumns="False" CssClass="Grid" 
                                                                          PagerStyle-CssClass="pgr" PageSize="15" Width="100%">
                                                                          <AlternatingRowStyle CssClass="alt" />
                                                                          <Columns>
                                                                              <asp:TemplateField HeaderText="Sl">
                                                                                  <ItemTemplate>
                                                                                      <asp:Label ID="lblsl" runat="server" Text='<%#Eval("sl") %>'></asp:Label>
                                                                                  </ItemTemplate>
                                                                                  <ItemStyle Width="10%" />
                                                                              </asp:TemplateField>
                                                                              <asp:TemplateField HeaderText="Date">
                                                                                  <ItemTemplate>
                                                                                      <asp:Label ID="lbldt" runat="server" Text='<%#Eval("Date") %>'></asp:Label>
                                                                                  </ItemTemplate>
                                                                                  <HeaderStyle Width="20%" />
                                                                                  <ItemStyle Width="20%" />
                                                                              </asp:TemplateField>                                                                                                                                                         
                                                                              <asp:TemplateField HeaderText="Amount">
                                                                                  <ItemTemplate>
                                                                                      <asp:Label ID="lblamt" runat="server" Text='<%#Eval("Amount") %>'></asp:Label>
                                                                                  </ItemTemplate>
                                                                                  <ItemStyle HorizontalAlign="Right" Width="15%" />
                                                                              </asp:TemplateField>
                                                                             <asp:TemplateField HeaderText="Paid">
                                                                                  <ItemTemplate>
                                                                                      <asp:Label ID="lblpaid" runat="server" Text='<%#Eval("paid") %>'></asp:Label>
                                                                                  </ItemTemplate>
                                                                                  <ItemStyle HorizontalAlign="Right" Width="15%" />
                                                                              </asp:TemplateField>
                                                                              <asp:ButtonField ButtonType="Image" CommandName="edit_state" 
                                                                                  ImageUrl="~/images/delete.png" Text="Button">
                                                                              <ItemStyle HorizontalAlign="Right" Width="10%" />
                                                                              </asp:ButtonField>
                                                                          </Columns>
                                                                          <PagerStyle HorizontalAlign="Right" />
                                                                      </asp:GridView>
                                                                  </div>
                                                              </td>
                                                          </tr>
                                                          <tr>
                                                              <td width="45%">
                                                                  <table style="width:100%;">
                                                                      <tr>
                                                                          <td width="60%">
                                                                              <label for="simpleDataInput">
                                                                              Date</label></td>
                                                                          <td width="40%">
                                                                              Installment Amount</td>
                                                                      </tr>
                                                                      <tr>
                                                                          <td>
                                                                             <asp:TextBox ID="txtnewdt" runat="server" CssClass="form-control"></asp:TextBox>
                                                                      <asp:CalendarExtender ID="CalendarExtender2" runat="server" Enabled="True" 
                                                                          Format="dd/MM/yyyy" PopupButtonID="txtnewdt" TargetControlID="txtnewdt">
                                                                      </asp:CalendarExtender></td>
                                                                          <td>
                                                                              <asp:TextBox ID="txtnewamt" runat="server" BackColor="White" 
                                                                                  class="form-control" MaxLength="100" style="text-align:right"></asp:TextBox>
                                                                          </td>
                                                                      </tr>
                                                                  </table></td>
                                                              <td width="10%">
                                                                  &nbsp;</td>
                                                              <td valign="bottom">
                                                                  <asp:Button ID="cmdsave2" runat="server" class="btn btn-success" 
                                                                      Text="Add Installment" />
                                                              </td>
                                                          </tr>
                                                          <tr>
                                                              <td colspan="3">
                                                                  &nbsp;</td>
                                                          </tr>
                                                          <tr>
                                                              <td colspan="3">
                                                                  <asp:Button ID="cmdsave" runat="server" class="btn btn-primary" Text="Submit" />
                                                                  <asp:Button ID="cmdclear" runat="server" CausesValidation="false" 
                                                                      class="btn btn-default" Text="Reset" />
                                                              </td>
                                                          </tr>
                                                          <tr>
                                                              <td colspan="3" style="font-size: 5px">
                                                                  &nbsp;</td>
                                                          </tr>
                                                          <tr>
                                                              <td>
                                                                  <asp:TextBox ID="txtstafsl" runat="server" Visible="False" Width="20px"></asp:TextBox>
                                                                 
                                                                  <asp:TextBox ID="txtassno" runat="server" Visible="False" Width="20px"></asp:TextBox>
                                                                 
                                                              </td>
                                                              <td>
                                                                  &nbsp;</td>
                                                              <td>
                                                                  &nbsp;</td>
                                                          </tr>
                                                          <tr>
                                                              <td colspan="3">
                                                                  &nbsp;</td>
                                                          </tr>
                                                      </table>
                                                  </td>
                                              </tr>
                                          </table>
                                      </asp:Panel>
                                  </td>
                              </tr>
                              <tr>
                                  <td>
                                      &nbsp;</td>
                              </tr>
                          </table>     
                    </div>
                  </div>
                </div>
               
              </div>
            </div>
          </section>
          <br />
</asp:Content>

